> ## Name

> tex1DARRAYfetch - performs an unfiltered texture lookup in a given sampler array.

> ## Synopsis

>     float4 tex1DARRAYfetch(sampler1DARRAY samp, int4 s)
>     float4 tex1DARRAYfetch(sampler1DARRAY samp, int4 s, int texelOff)

>     int4 tex1DARRAYfetch(isampler1DARRAY samp, int4 s)
>     int4 tex1DARRAYfetch(isampler1DARRAY samp, int4 s, int texelOff)

>     unsigned int4 tex1DARRAYfetch(usampler1DARRAY samp, int4 s)
>     unsigned int4 tex1DARRAYfetch(usampler1DARRAY samp, int4 s, int texelOff)

> ## Parameters

> samp
>   Sampler array to lookup.
> s
>   Coordinates to perform the lookup, the layer is selected by the component right after the regular coordinates, the level of detail is provided by the last component of the coordinate vector.
> texelOff
>   Offset to be added to obtain the final texel.

> ## Description

> Performs an unfiltered texture lookup in sampler array samp using coordinates s. The layer to be accessed is selected by the component right after the regular coordinates, the level of detail is provided by the last component of the coordinate vector. May use texel offset texelOff to compute final texel.

> ## Profile Support

> tex1DARRAYfetch is only supported in gp4 and newer profiles.

> ## See Also

> tex1Dfetch